Skip to main content
POST
/
v1.0
/
workgroups
/
update
json
{
  "WorkgroupId": "WID-12345-abc-12345",
  "Name": "Updated IVR Workgroup",
  "Type": "round-robin",
  "ScheduleId": "SID-3741d220-0663-4289-85df-c203f43db5a6"
}
curl -X POST https://api.telegent.com/v1.0/workgroups/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"WorkgroupId": "WID-12345-abc-12345",
"Name": "Updated IVR Workgroup"
}'
import requests

url = "https://api.telegent.com/v1.0/workgroups/update"

payload = {
"WorkgroupId": "WID-12345-abc-12345",
"Name": "<string>",
"TelegentPhone": "<string>",
"CallOrder": "<string>",
"AnnouncementText": "<string>",
"AnnouncementUrl": "<string>",
"ScheduleId": "<string>",
"TimeZone": "<string>",
"RecordCalls": True,
"TranscribeRecordings": True,
"OffHoursType": "<string>",
"OffHoursId": "<string>",
"OnHoursType": "<string>",
"OnHoursId": "<string>",
"AccountId": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
WorkgroupId: 'WID-12345-abc-12345',
Name: '<string>',
TelegentPhone: '<string>',
CallOrder: '<string>',
AnnouncementText: '<string>',
AnnouncementUrl: '<string>',
ScheduleId: '<string>',
TimeZone: '<string>',
RecordCalls: true,
TranscribeRecordings: true,
OffHoursType: '<string>',
OffHoursId: '<string>',
OnHoursType: '<string>',
OnHoursId: '<string>',
AccountId: '<string>'
})
};

fetch('https://api.telegent.com/v1.0/workgroups/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "WorkgroupId": "WID-12345-abc-12345",
  "Name": "Updated IVR Workgroup",
  "Type": "round-robin"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
WorkgroupId
string
required

Unique identifier of the workgroup to update

Example:

"WID-12345-abc-12345"

Name
string

New name for the workgroup

TelegentPhone
string

Phone number assigned to this workgroup

Type
enum<string>

Workgroup routing type

Available options:
IVR,
simultaneous,
round-robin
CallOrder
string

Call distribution order

AnnouncementText
string

Text-to-speech announcement

AnnouncementUrl
string<uri>

URL of audio file for announcement

ScheduleId
string

Schedule ID to associate

TimeZone
string

Timezone for schedule

RecordCalls
boolean

Enable call recording

TranscribeRecordings
boolean

Enable transcription

OffHoursType
string

Off-hours routing type

OffHoursId
string

User or Workgroup ID for off-hours

OnHoursType
string

On-hours routing type

OnHoursId
string

User or Workgroup ID for on-hours

AccountId
string

Account ID

Response

Workgroup Updated

The response is of type object.